LibreOffice LibreOffice 7.2 SDK API Reference

List of all members
DialogProvider2 Service Reference

specifies a provider for dialogs implementing the com::sun::star::awt::XDialog interface. More...

`import"DialogProvider2.idl";`

Inheritance diagram for DialogProvider2:

## Additional Inherited Members
Public Member Functions inherited from XDialogProvider2
com::sun::star::awt::XDialog | createDialogWithHandler ([in] string URL, [in] com::sun::star::uno::XInterface xHandler) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a dialog for the given URL accepting an Interface used to handle dialog events. More...
XDialog | createDialogWithArguments ([in] string URL, [in] sequence< ::com::sun::star::beans::NamedValue > Arguments) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a dialog for the given URL, accepting additional creation parameters More...
Public Member Functions inherited from XDialogProvider
com::sun::star::awt::XDialog | createDialog ([in] string URL) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a dialog for the given URL. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a provider for dialogs implementing the com::sun::star::awt::XDialog interface.

The documentation for this service was generated from the following file:

- com/sun/star/awt/DialogProvider2.idl